Bug 33372 - Installer ended and reboot automatically.
Installer ended and reboot automatically.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
sorry
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-27 07:50 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-03 19:05:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-27 07:50:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


The program simply will not work. 

Reproducible: Always
Steps to Reproduce:
1.boot from CD_ROM
2.install directory choosed
3.install ended
	

Actual Results:  message appeared.
saved floopy.

Expected Results:  Continueing Install.

Following are log messages.
--------------------
Traceback (innermost last):
  File "/usr/bin/anaconda", line 503, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 372, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 851, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 481, in 
nextClicked
    self.setScreen (self.currentScreen, self.nextClicked)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 587, in 
setScreen
    new_screen = screen.getScreen ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/rootpartition_gui.py", 
line 187, in getScreen
    avail = apply(isys.spaceAvailable, rootdev)
  
File "/mnt/redhat/test/qa0126.0/i386/RedHat/instimage/usr/lib/anaconda/isys
.py", line 14, in spaceAvailable
    mount(device, "/mnt/space", fstype = fsystem)
  
File "/mnt/redhat/test/qa0126.0/i386/RedHat/instimage/usr/lib/anaconda/isys
.py", line 103, in mount
    rc = _isys.mount(fstype, device, location, readOnly)
SystemError: (22, '\314\265\270\372\244\312\260\372\277\364\244\307\244
\271')

Local variables in innermost frame:
fstype: vfat
location: /mnt/space
devName: /tmp/hda7
readOnly: 0
device: /tmp/hda7

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
NsS'setupFilesystems'
p5
I1
sS'monitorVsync'
p6
S''
sS'videoCardStateNode'
p7
S''
sS'ddruidReadOnly'
p8
I0
sS'bootdisk'
p9
I0
sS'videoRamState'
p10
S''
sS'monitorOriginalName'
p11
S''
sS'language'
p12
(itodo
Language
(dp13
S'langInfoByName'
p14
(dp15
S'Arabic (Yemen)'
p16
(S'ar_YE'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Argentina)'
p17
(S'es_AR'
S'iso01'
S'default8x16'
tsS'Spanish'
p18
(S'es_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Lebanon)'
p19
(S'ar_LB'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Guatemala)'
p20
(S'es_GT'
S'iso01'
S'default8x16'
tsS'Arabic (Libyan Arab Jamahiriya)'
p21
(S'ar_LY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Oman)'
p22
(S'ar_OM'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Iraq)'
p23
(S'ar_IQ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Chile)'
p24
(S'es_CL'
S'iso01'
S'default8x16'
tsS'English (South Africa)'
p25
(S'en_ZA'
S'iso01'
S'default8x16'
tsS'French (Switzerland)'
p26
(S'fr_CH'
S'iso01'
S'default8x16'
tsS'Arabic (Bahrein)'
p27
(S'ar_BH'
S'iso06'
S'LatArCyrHeb-16'
tsS'Portuguese'
p28
(S'pt_PT@euro'
S'iso15'
S'lat0-sun16'
tsS'Swedish'
p29
(S'sv_SE'
S'iso01'
S'default8x16'
tsS'Croatian'
p30
(S'hr_HR'
S'iso02'
S'lat2-sun16'
tsS'Greenlandic (Greenland)'
p31
(S'kl_GL'
S'iso01'
S'default8x16'
tsS'Spanish (Mexico)'
p32
(S'es_MX'
S'iso01'
S'default8x16'
tsS'Greek'
p33
(S'el_GR'
S'iso07'
S'gr.f16'
tsS'Spanish (El Salvador)'
p34
(S'es_SV'
S'iso01'
S'default8x16'
tsS'Spanish (Honduras)'
p35
(S'es_HN'
S'iso01'
S'default8x16'
tsS'Spanish (Costa Rica)'
p36
(S'es_CR'
S'iso01'
S'default8x16'
tsS'Dutch (Netherlands)'
p37
(S'nl_NL@euro'
S'iso15'
S'lat0-sun16'
tsS'Serbian (Yugoslavia)'
p38
(S'sr_YU@cyrillic'
S'iso05'
S'cyr-sun16'
tsS'Russian (Ukraine)'
p39
(S'ru_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Afrikaans (South Africa)'
p40
(S'af_ZA'
S'iso01'
S'default8x16'
tsS'Norwegian'
p41
(S'no_NO'
S'iso01'
S'default8x16'
tsS'Arabic (Morocco)'
p42
(S'ar_MA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Ukrainian'
p43
(S'uk_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Arabic (Algeria)'
p44
(S'ar_DZ'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Belgium)'
p45
(S'fr_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Indonesian'
p46
(S'id_ID'
S'iso01'
S'default8x16'
tsS'Danish'
p47
(S'da_DK'
S'iso01'
S'default8x16'
tsS'English (Denmark)'
p48
(S'en_DK'
S'iso01'
S'default8x16'
tsS'Faroese (Faroe Islands)'
p49
(S'fo_FO'
S'iso01'
S'default8x16'
tsS'Galician (Spain)'
p50
(S'gl_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'English (New Zealand)'
p51
(S'en_NZ'
S'iso01'
S'default8x16'
tsS'Spanish (Bolivia)'
p52
(S'es_BO'
S'iso01'
S'default8x16'
tsS'Cornish (Britain)'
p53
(S'kw_GB'
S'iso01'
S'default8x16'
tsS'Arabic (United Arab Emirates)'
p54
(S'ar_AE'
S'iso06'
S'LatArCyrHeb-16'
tsS'German (Austria)'
p55
(S'de_AT@euro'
S'iso15'
S'lat0-sun16'
tsS'Romanian'
p56
(S'ro_RO'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Paraguay)'
p57
(S'es_PY'
S'iso01'
S'default8x16'
tsS'Hebrew (Israel)'
p58
(S'he_IL'
S'iso08'
S'LatArCyrHeb-16'
tsS'German (Luxemburg)'
p59
(S'de_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (USA)'
p60
(S'es_US'
S'iso01'
S'default8x16'
tsS'Portuguese (Brasil)'
p61
(S'pt_BR'
S'iso01'
S'default8x16'
tsS'Spanish (Equador)'
p62
(S'es_EC'
S'iso01'
S'default8x16'
tsS'English (Ireland)'
p63
(S'en_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Polish'
p64
(S'pl_PL'
S'iso02'
S'lat2-sun16'
tsS'Slovak'
p65
(S'sk_SK'
S'iso02'
S'lat2-sun16'
tsS'Macedonian'
p66
(S'mk_MK'
S'iso05'
S'cyr-sun16'
tsS'Arabic (Syrian Arab Republic)'
p67
(S'ar_SY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Czech'
p68
(S'cs_CZ'
S'iso02'
S'lat2-sun16'
tsS'Irish'
p69
(S'ga_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Italian'
p70
(S'it_IT@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Jordan)'
p71
(S'ar_JO'
S'iso06'
S'LatArCyrHeb-16'
tsS'Italian (Switzerland)'
p72
(S'it_CH'
S'iso01'
S'default8x16'
tsS'German (Belgium)'
p73
(S'de_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Albanian'
p74
(S'sq_AL'
S'iso01'
S'default8x16'
tsS'Finnish'
p75
(S'fi_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Peru)'
p76
(S'es_PE'
S'iso01'
S'default8x16'
tsS'Dutch (Belgium)'
p77
(S'nl_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Panama)'
p78
(S'es_PA'
S'iso01'
S'default8x16'
tsS'Spanish (Venezuela)'
p79
(S'es_VE'
S'iso01'
S'default8x16'
tsS'English (Great Britain)'
p80
(S'en_GB'
S'iso01'
S'default8x16'
tsS'Russian'
p81
(S'ru_RU.koi8r'
S'koi8-u'
S'cyr-sun16'
tsS'Norwegian, Nynorsk (Norway)'
p82
(S'nn_NO'
S'iso01'
S'default8x16'
tsS'English (Zimbabwe)'
p83
(S'en_ZW'
S'iso01'
S'default8x16'
tsS'English (USA)'
p84
(S'en_US'
S'iso01'
S'default8x16'
tsS'French'
p85
(S'fr_FR@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Nicaragua)'
p86
(S'es_NI'
S'iso01'
S'default8x16'
tsS'Arabic (Kuwait)'
p87
(S'ar_KW'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Colombia)'
p88
(S'es_CO'
S'iso01'
S'default8x16'
tsS'Basque (Spain)'
p89
(S'eu_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Qatar)'
p90
(S'ar_QA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Egypt)'
p91
(S'ar_EG'
S'iso06'
S'LatArCyrHeb-16'
tsS'German'
p92
(S'de_DE@euro'
S'iso15'
S'lat0-sun16'
tsS'Hungarian'
p93
(S'hu_HU'
S'iso02'
S'lat2-sun16'
tsS'Arabic (Tunisia)'
p94
(S'ar_TN'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Luxemburg)'
p95
(S'fr_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Japanese'
p96
(S'ja_JP.eucjp'
S'iso01'
S'default8x16'
tsS'Swedish (Finland)'
p97
(S'sv_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Saudi Arabia)'
p98
(S'ar_SA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Dominican Republic)'
p99
(S'es_DO'
S'iso01'
S'default8x16'
tsS'French (Canada)'
p100
(S'fr_CA'
S'iso01'
S'default8x16'
tsS'English (Canada)'
p101
(S'en_CA'
S'iso01'
S'default8x16'
tsS'Slovenian (Slovenia)'
p102
(S'sl_SI'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Uruguay)'
p103
(S'es_UY'
S'iso01'
S'default8x16'
tsS'German (Switzerland)'
p104
(S'de_CH'
S'iso01'
S'default8x16'
tsS'English (Australia)'
p105
(S'en_AU'
S'iso01'
S'default8x16'
tsS'Catalan (Spain)'
p106
(S'ca_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Puerto Rico)'
p107
(S'es_PR'
S'iso01'
S'default8x16'
tsS'Turkish'
p108
(S'tr_TR'
S'iso09'
S'lat5-sun16'
tsS'Estonian'
p109
(S'et_EE'
S'iso01'
S'default8x16'
tsS'Arabic (Sudan)'
p110
(S'ar_SD'
S'iso06'
S'LatArCyrHeb-16'
tsS'Icelandic'
p111
(S'is_IS'
S'iso01'
S'default8x16'
tsS'English (Botswana)'
p112
(S'en_BW'
S'iso01'
S'default8x16'
tsS'Manx Gaelic (Britain)'
p113
(S'gv_GB'
S'iso01'
S'default8x16'
tssS'allSupportedLangs'
p114
(lp115
g40
ag74
ag44
ag27
ag91
ag23
ag71
ag87
ag19
ag21
ag42
ag22
ag90
ag98
ag110
ag67
ag94
ag54
ag16
ag89
ag106
ag53
ag30
ag68
ag47
ag77
ag37
ag105
ag112
ag101
ag48
ag80
ag63
ag51
ag25
ag84
ag83
ag109
ag49
ag75
ag85
ag45
ag100
ag95
ag26
ag50
ag92
ag55
ag73
ag59
ag104
ag33
ag31
ag58
ag93
ag111
ag46
ag69
ag70
ag72
ag96
ag66
ag113
ag41
ag82
ag64
ag28
ag61
ag56
ag81
ag39
ag38
ag65
ag102
ag18
ag17
ag52
ag24
ag88
ag36
ag99
ag34
ag62
ag20
ag35
ag32
ag86
ag78
ag57
ag76
ag107
ag60
ag103
ag79
ag29
ag97
ag108
ag43
asS'info'
p116
(dp117
S'SUPPORTED'
p118
NssS'supported'
p119
(lsS'default'
p120
NsbsS'instClass'
p121
(icustom
InstallClass
(dp122
S'rootPasswordCrypted'
p123
I0
sS'nameserver'
p124
S''
sS'x'
NsS'rootPassword'
p125
NsS'makeBootdisk'
p126
I0
sS'installType'
p127
NsS'postScript'
p128
NsS'earlySwapOn'
p129
I0
sS'networkDevice'
p130
NsS'clearText'
p131
NsS'lilo'
p132
(S'mbr'
p133
I1
S''
tsg12
NsS'name'
p134
S''
sS'postInChroot'
p135
I0
sS'pixmap'
p136
S''
sS'partitions'
p137
(lp138
(S'/boot'
p139
(I16
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNta(S'/'
(I700
I-1
I1
t(S''
I-1
I0
t(I0
I0
tNta(S'swap'
p140
(I64
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNtasS'clearType'
p141
S'wkst'
p142
sS'gateway'
p143
S''
sS'mouse'
p144
NsS'packages'
p145
NsS'timezone'
p146
NsS'zeroMbr'
p147
I0
sS'keyboard'
p148
NsS'groups'
p149
NsS'bootProto'
p150
NsS'netmask'
p151
S''
sS'raidList'
p152
(lsS'skipSteps'
p153
(dsS'auth'
p154
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsS'hostname'
p155
NsS'fstab'
p156
(lsS'showgroups'
p157
NsS'ip'
p158
S''
sS'firewall'
p159
(I-1
I0
(lp160
S''
I0
I0
I0
I0
I0
I0
tsS'defaultRunlevel'
p161
NsS'desktop'
p162
S''
sS'clearPartText'
p163
S'You are about to erase any preexisting Linux installations on your 
system.'
p164
sS'clearParts'
p165
I2
sbsS'bdstate'
p166
S''
sS'extraModules'
p167
(lp168
sS'rootpassword'
p169
NsS'fdDevice'
p170
S'fd0'
p171
sS'installSystem'
p172
I1
sS'comps'
p173
Nsg154
(itodo
Authentication
(dp174
S'useNIS'
p175
I0
sS'nisServer'
p176
S''
sS'useLdap'
p177
I0
sS'krb5Kdc'
p178
S''
sS'ldapTLS'
p179
S''
sS'useHesiod'
p180
I0
sS'ldapServer'
p181
S''
sS'nisDomain'
p182
S''
sS'krb5Realm'
p183
S''
sS'useLdapauth'
p184
I0
sS'hesiodRhs'
p185
S''
sS'useShadow'
p186
I1
sS'nisuseBroadcast'
p187
I0
sS'useKrb5'
p188
I0
sS'useMD5'
p189
I1
sS'ldapBasedn'
p190
S''
sS'krb5Admin'
p191
S''
sS'hesiodLhs'
p192
S''
sS'hesiodDlhs'
p193
S''
sbsS'users'
p194
NsS'hdList'
p195
NsS'dhcpState'
p196
S''
sS'method'
p197
(iimage
CdromInstallMethod
p198
(dp199
g4

<failed>
Comment 1 Jarod Wilson 2001-03-27 19:01:10 EST
From traceback this is a 7.1 problem and nothing to do with 7.0tc.
Comment 2 Michael Fulbright 2001-03-28 11:02:50 EST
What steps are required to reproduce this issue?

Also, please adjust the bug report to reflect what you were installing
(Wolverine or Fisher beta)?
Comment 3 Need Real Name 2001-03-28 19:23:00 EST
From traceback this is a 7.1 problem and nothing to do with 7.0tc.
Also, please adjust the bug report to reflect what you were installing
(Wolverine or Fisher beta)?
-->Sorry. This is a problem of the Red Hat Linux7.090 Fisher[Public Beta]

What steps are required to reproduce this issue?
-->At first,Windows 2000 Professional have been installed in my PC(Dell 
Optiplex 100).

Choosing a volume for installing root partition , and press the next botton.
Then, this issue was required.(Swap partition can't be choosed)

Comment 4 Michael Fulbright 2001-04-02 11:07:15 EDT
Was the '/' partition assigned to a partition which did not previously have a
filesystem on it?
Comment 5 Need Real Name 2001-04-02 21:11:23 EDT
Was the '/' partition assigned to a partition which did not previously have a
filesystem on it?
-->What tipe of filesystem I should choose ?
I choosed FAT filesystem (4GB) .

Comment 6 Michael Fulbright 2001-04-03 19:05:24 EDT
Could you try the Wolverine beta if you have not already?
Comment 7 Brent Fox 2001-04-03 19:14:11 EDT
Ah...that would be the problem.  I think what you want to choose is 'Linux
native' for the filesystem type, unless you are trying to do a partitionless
install.  In the case of a partitionless install, the FAT partition must already
exist and be formatted.  The installer cannot currently create a FAT partition,
format it, and allow it to be given a mount point during Disk Druid.  This is
certainly something we will consider for future releases.

Try creating a 4GB partition, set the mount point to '/' and set the filesystem
type to 'Linux native'.  I think this will work for you.  Thanks for your report.




Note You need to log in before you can comment on or make changes to this bug.